fbpx

Installing kops binaries

Important! Download the proper KOPS v1.9.0* binary file for your operating system:

*Installing KOPS v.1.9.0 enables the in-cluster autoscaling integration by default and installs our cluster controller as a k8s-addon

Make sure the kops binary file is executable

chmod 755 kops && mv kops /usr/local/bin/kops

 

Installing Kubectl Dependencies

Download the proper binarykubectl file.

Make sure the binary file is executable.

chmod 755 kubectl && mv kubectl /usr/local/bin/kubectl

 

(Optional) Installing AWS CLI

pip install awscli

You can also use homebrew, although this is not officially supported by AWS.

brew update && brew install awscli